DrawArc
Keywords: uk.ac.ic.doc.automed.editor.DrawArc class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class DrawArc

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawArc

All Implemented Interfaces:
  Drawable, DrawableArc

Direct Known Subclasses:
  DefaultDrawConstraintArc, DefaultDrawLinkArc, DefaultDrawLinkNodalArc, DrawAMRDBForeignKeyArc, DrawAMRDBPrimaryKeyArc, DrawERRelationshipArc, DrawRDBForeignKeyArc, DrawRDBPrimaryKeyArc, DrawTransformation, YattaDrawLinkNodalLink, YattaDrawSequence

    public class DrawArc

extends java.lang.Object
implements DrawableArc

Field Summary
`protected Positionable[]` | `d`
`protected static java.awt.Stroke` | `dashedStroke`
`protected EditorPanel` | `ep`
`protected static java.awt.FontMetrics` | `fm`
`protected Positionable` | `p`
`protected static java.awt.Stroke` | `standardStroke`
`protected static int` | `thickness`
`protected static java.awt.Stroke` | `thickStroke`

Constructor Summary
`DrawArc(EditorPanel ep, Positionable[] d)` Pass in the array of objects that this connects together.
`DrawArc(EditorPanel ep, Positionable p, Positionable[] d)` Pass in the array of objects that this connects together.

Method Summary
`static void` | `drawArrow(java.awt.Graphics2D g, int x1, int y1, int x2, int y2, int arrowSize)`
`Positionable[]` | `getConnectsTo()`
`Positionable` | `getPositionable()` Return the `Positionable` that this `Drawable` is providing a graphical representation of.
`Positionable[]` | `getPositionables()` Return the `Positionable`s that this `Drawable` is providing a graphical representation of an arc betweem
`void` | `paintComponent(java.awt.Graphics2D g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fm

    protected static java.awt.FontMetrics fm

### thickness

    protected static final int thickness

See Also:
  Constant Field Values

### thickStroke

    protected static final java.awt.Stroke thickStroke

### standardStroke

    protected static final java.awt.Stroke standardStroke

### dashedStroke

    protected static final java.awt.Stroke dashedStroke

### d

    protected Positionable[] d

### ep

    protected EditorPanel ep

### p

    protected Positionable p

Constructor Detail

### DrawArc

    public DrawArc(EditorPanel ep,
                   Positionable p,
                   Positionable[] d)

  Pass in the array of objects that this connects together.

### DrawArc

    public DrawArc(EditorPanel ep,
                   Positionable[] d)

  Pass in the array of objects that this connects together.

Method Detail

### getPositionable

    public Positionable getPositionable()

  Return the `Positionable` that this `Drawable` is providing a graphical representation of.

  Specified by:
    `getPositionable` in interface `Drawable`

### getConnectsTo

    public Positionable[] getConnectsTo()

  Specified by:
    `getConnectsTo` in interface `Drawable`

### paintComponent

    public void paintComponent(java.awt.Graphics2D g)

  Specified by:
    `paintComponent` in interface `Drawable`

### getPositionables

    public Positionable[] getPositionables()

  Return the `Positionable`s that this `Drawable` is providing a graphical representation of an arc betweem

### drawArrow

    public static void drawArrow(java.awt.Graphics2D g,
                                 int x1,
                                 int y1,
                                 int x2,
                                 int y2,
                                 int arrowSize)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD